{
  "accUserMode" : 2,
  "caption" : "学员登记信息",
  "codeName" : "ReginfoUsr2ChartExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr2ChartExpView.json",
  "name" : "ReginfoUsr2ChartExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr2ChartExpViewchartexpbar",
    "controlType" : "CHARTEXPBAR",
    "name" : "chartexpbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:line",
      "realTitle" : "学生信息编辑视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "chartexpbar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CHARTEXPBAR"
    },
    "getPSControls" : [ {
      "codeName" : "Usr0301490997",
      "controlType" : "CHART",
      "coordinateSystem" : "XY",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo/PSCHARTS/Usr0301490997.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      },
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
      "logicName" : "Chart21",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
      },
      "getPSChartCoordinateSystems" : [ {
        "eChartsType" : "cartesian2d",
        "index" : 0,
        "name" : "[line_0]直角坐标系[0]",
        "getPSChartGrid" : {
          "index" : 0,
          "name" : "[line_0]直角坐标系[0]",
          "getPSChartCoordinateSystem" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartGridXAxis0" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartGridYAxis0" : {
            "modelref" : true,
            "id" : "0"
          },
          "type" : "grid",
          "id" : "0"
        },
        "type" : "XY",
        "id" : "0"
      } ],
      "getPSChartDataSetGroups" : [ {
        "index" : 0,
        "name" : "DEFAULT",
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        },
        "id" : "0"
      } ],
      "getPSChartDataSets" : [ {
        "index" : 0,
        "name" : "line_0-DEFAULT",
        "getPSChartDataSetFields" : [ {
          "index" : 0,
          "name" : "ADDRESS",
          "groupField" : true,
          "id" : "0"
        }, {
          "index" : 1,
          "name" : "AGE",
          "groupField" : false,
          "id" : "1"
        } ],
        "id" : "0"
      } ],
      "getPSChartGrids" : [ {
        "index" : 0,
        "name" : "[line_0]直角坐标系[0]",
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridXAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridYAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "grid",
        "id" : "0"
      } ],
      "getPSChartXAxises" : [ {
        "eChartsPos" : "xAxis",
        "eChartsType" : "category",
        "index" : 0,
        "name" : "axis_xAxis_0",
        "position" : "bottom",
        "type" : "category",
        "getUserParam" : {
          "EC.textStyle" : "{\"color\":\"#BBF4EC\",\"fontSize\":16}"
        },
        "id" : "0"
      } ],
      "getPSChartYAxises" : [ {
        "eChartsPos" : "yAxis",
        "eChartsType" : "value",
        "index" : 0,
        "name" : "axis_yAxis_0",
        "position" : "left",
        "type" : "numeric",
        "id" : "0"
      } ],
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "图形控件处理器"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE",
        "logicTag" : "chartexpbar_chart",
        "logicType" : "CUSTOM",
        "name" : "chartexpbar_selectionchange"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "chartexpbar_chart",
        "logicType" : "CUSTOM",
        "name" : "chartexpbar_load"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "chartexpbar_chart"
      },
      "getPSDEChartLegend" : {
        "index" : 0,
        "legendPos" : "RIGHT",
        "showLegend" : true,
        "id" : "0"
      },
      "getPSDEChartSerieses" : [ {
        "caption" : "学生年龄信息",
        "catalogField" : "ADDRESS",
        "eChartsType" : "line",
        "index" : 0,
        "name" : "line_0",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartDataSet" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartSeriesEncode" : {
          "index" : 0,
          "name" : "坐标系编码",
          "getPSChartXAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartYAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "type" : "XY",
          "x" : [ "ADDRESS" ],
          "y" : [ "AGE" ],
          "id" : "0"
        },
        "seriesLayoutBy" : "column",
        "seriesType" : "line",
        "step" : true,
        "valueField" : "AGE",
        "enableChartDataSet" : true,
        "stack" : false,
        "getUserParam" : {
          "EC.textStyle" : "{\"color\":\"#BBF4EC\",\"fontSize\":16}"
        }
      } ],
      "getPSDEChartTitle" : {
        "index" : 0,
        "subTitle" : "学生年龄信息",
        "title" : "折线图_图表",
        "titlePos" : "TOP",
        "showTitle" : true,
        "id" : "0"
      },
      "readOnly" : true,
      "name" : "chartexpbar_chart",
      "modelid" : "CBB33879-C789-40F7-862D-83DE2C0DF65C",
      "modeltype" : "PSDECHART",
      "getUserParam" : {
        "EC.textStyle" : "{\"color\":\"#BBF4EC\",\"fontSize\":16}",
        "EC.color" : "[\"#5470c6\",\"#91cc75\",\"#fac858\",\"#ee6666\",\"#73c0de\",\"#3ba272\",\"#fc8452\",\"#9a60b4\",\"#ea7ccc\",\"#5470c6\",\"#91cc75\"]"
      }
    } ],
    "title" : "图表视图导航栏2",
    "xDataControlName" : "chartexpbar_chart",
    "enableCounter" : true,
    "enableSearch" : false,
    "showTitleBar" : true,
    "modelid" : "a2251fc8a11b3e96d43a1162d096bd02_chartexpbar",
    "modeltype" : "PSEXPBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "学员登记信息",
    "codeName" : "Usr2ChartExpViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr2ChartExpView",
  "getPSDEViewId" : "E90F17DF-E7A1-436B-B8B6-079CB8928499",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDECHARTEXPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "sideBarLayout" : "LEFT",
  "title" : "学员登记信息图表导航视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECHARTEXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showDataInfoBar" : true,
  "modelid" : "a2251fc8a11b3e96d43a1162d096bd02",
  "modeltype" : "PSAPPDEVIEW"
}